Bug 1198640 - [WebUI] spaces not allowed in resource agent options fields
Summary: [WebUI] spaces not allowed in resource agent options fields
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs
Version: 7.1
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Ondrej Mular
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On: 1189857
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-04 15:02 UTC by Patrik Hagara
Modified: 2015-11-19 09:36 UTC (History)
4 users (show)

Fixed In Version: pcs-0.9.143-9.el7
Doc Type: Bug Fix
Doc Text:
Cause: User tries to type character space in a resource's attribute value in Optional Arguments form in web UI. Consequence: It was impossible to type character space in form. Fix: Remove restriction of typing spaces into forma and work with values of attributes properly. Result: In web UI, user can add optional arguments with spaces.
Clone Of:
Environment:
Last Closed: 2015-11-19 09:36:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1219574 0 high CLOSED [gui] resource optional arguments: quoted strings missing 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1220778 0 low CLOSED [RFC] should pcs escape double-quotes to prevent clashes/irregularity with string-denoting ones in parameter printouts? 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHSA-2015:2290 0 normal SHIPPED_LIVE Moderate: pcs security, bug fix, and enhancement update 2015-11-19 09:43:53 UTC

Internal Links: 1219574 1220778

Description Patrik Hagara 2015-03-04 15:02:51 UTC
Description of problem:
Unable to enter string containing spaces into resource agent optional arguments fields. Tested with Apache RA and 'options' field (extra CLI options to pass to httpd).

Version-Release number of selected component (if applicable):
pcs-0.9.137-13.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. open pcs web ui with running cluster, go to resources tab
2. click add, select 'ocf:heartbeat:apache' resource
3. try to set 'options' in 'optional arguments' section to eg. '-D name -d /server_root'

Actual results:
Unable to input space character into any RA optional argument field, even when it should be possible/allowed (like extra apache CLI options).

Expected results:
Be able to enter strings containing spaces into applicable fields.

Additional info:
none

Comment 3 Jan Pokorný [poki] 2015-05-15 20:42:15 UTC
Cf. http://clusterlabs.org/pipermail/users/2015-May/000403.html

Comment 4 Tomas Jelinek 2015-08-10 13:19:52 UTC
Fixed in a complex rewrite of the resources page in the web UI, patches in bz1189857


Before Fix:
[root@rh71-node1 ~]# rpm -q pcs
pcs-0.9.142-2.el7.x86_64
It is not possible to type a space character in a resource's attribute value in Optional Arguments form.



After Fix:
[root@rh71-node1:~]# rpm -q pcs
pcs-0.9.143-1.el7.x86_64
It is possible to type a space character in a resource's attribute value in Optional Arguments form. The value is displayed correctly in the web UI after the form is submitted.

Comment 8 Tomas Jelinek 2015-09-16 13:35:57 UTC
After Fix:
[root@rh71-node1:~]# rpm -q pcs
pcs-0.9.143-9.el7.x86_64

It is possible to enter a space character into an attribute value input in the "Add resource" dialog. The attribute value of the created resource is correct - the same as entered.

Comment 12 errata-xmlrpc 2015-11-19 09:36:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2290.html


Note You need to log in before you can comment on or make changes to this bug.